#!/bin/bash
#This script must receive the size of the width and height of a frame of the explosion
#This script will render the explosion frames set, then cutting it to get the numbered
#explosion frames png files
if [ "$#" -eq 1 ]; 
then

let "FramesNumber = 30"
let "ExplosionSize = ${1}"
let "Width = ${FramesNumber} * ${ExplosionSize}"
let "Height = ${ExplosionSize}"

povray +Iscene.pov +W${Width} +H${Height} +a0.01 +am2 +r3 +UA +GFrender.povlog +Oalbum.png Declare=FramesNumber=${FramesNumber} Display=Off

source bashIncludes/cropImage.sh >> errors_${1}.txt 2>&1

for(( Iterator = 0 ; Iterator < ${FramesNumber} ; ++Iterator ))
do
	#Here, we cut the images collection in the 30 images thanks to a bash function that performs a cropping with the 
	#'image magick' command line software
	CropImage2 ${1} ${ExplosionSize} album.png ${Iterator} 0 1 1 output/explosionG_${Iterator}.png ./
done

#rm album.png >> errors_${1}.txt 2>&1

else
    echo "Illegal number of parameters when running $0 $# parameters supplied.\n"
    echo "Please supply the size in pixels of an explosion frame.\n"
fi
